import { Component, Input } from '@angular/core';


declare var DSScanner: any;
declare var DataSymbolScannerSettings: any;
declare var BarcodeReadyEvent: any;
declare var ErrorEvent: any;


function CreateScanner(device: any){
    DSScanner.addEventListener('onError', ErrorEvent);
    DSScanner.addEventListener('onBarcode', BarcodeReadyEvent);

    DSScanner.addEventListener('onScannerReady', function () {
        console.log('HTML onScannerReady');
        var statusElement = document.getElementById('status');
        if( statusElement )
	        statusElement.innerHTML = ' ';	//statusElement.hidden = true;
        DSScanner.StartScanner();
    });

    DSScanner.Create(DataSymbolScannerSettings);
}


@Component({
  selector: 'barcodescanner',
  template: `
	<p id='status'>Downloading ...</p>
	<div id="datasymbol-barcode-viewport" style="display:block;width:640px; height:480px;"></div>
	`
})
export class BarcodeScannerComponent  {
  ngOnInit(){
	CreateScanner(null);
  }
}

